> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get phone list

> get phone page list



## OpenAPI

````yaml get /open/api/phone/list
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/phone/list:
    get:
      tags: []
      summary: Get phone list
      description: get phone page list
      parameters:
        - name: nameOrCode
          in: query
          description: phone name or phone number
          required: false
          schema:
            type: string
            maxLength: 32
        - name: spuId
          in: query
          description: >-
            phone spuId, The `spuId` value contained in the current interface's
            returned result
          required: false
          schema:
            type: integer
            format: int64
        - name: skuId
          in: query
          description: >-
            phone skuId, The `skuId` value contained in the current interface's
            returned result
          required: false
          schema:
            type: integer
            format: int64
        - name: status
          in: query
          description: >-
            phone status, The `status` value contained in the current
            interface's returned result,
            1=normal,2=restart,4=powerOff,41=powerOn,6=reset,7=One-click New
            Device
          required: false
          schema:
            type: integer
        - name: authorizeUserIds
          in: query
          description: >-
            Authorized User ID list, The `userId` value contained in the current
            interface's returned result
          required: false
          schema:
            type: array
            items:
              type: integer
        - name: expireStatus
          in: query
          description: 'Billing (expired) status: 0=expired, 1=normal'
          required: false
          schema:
            type: integer
        - name: skuName
          in: query
          description: >-
            sku name, The `skuName` value contained in the current interface's
            returned result
          required: false
          schema:
            type: string
        - name: networkId
          in: query
          description: >-
            phone network ID, The `networkId` value contained in the current
            interface's returned result
          required: false
          schema:
            type: integer
            format: int64
        - name: groupId
          in: query
          description: >-
            phone grouping ID list, The `groupId` value contained in the current
            interface's returned result
          required: false
          schema:
            type: integer
            format: int64
        - name: groupCode
          in: query
          description: >-
            phone group code, Value is all_group=All groups,renew_expired=After
            the renewal period,un_group=Not grouped
          required: false
          schema:
            type: string
        - name: groupType
          in: query
          description: >-
            phone group type, Value is system_group=System
            grouping,custom_group=Custom grouping
          required: false
          schema:
            type: string
        - name: realResolution
          in: query
          description: >-
            Whether it is real machine resolution 0- No, 1- real machine
            resolution
          required: false
          schema:
            type: integer
        - name: tagIds
          in: query
          description: 标签ID列表，筛选包含这些标签的设备（取并集）
          required: false
          schema:
            type: array
            items:
              type: integer
        - name: pageSize
          in: query
          description: >-
            Number of records displayed per page

            The default is1,and the maximum number of items in a single query
            is:1
          required: false
          schema:
            type: integer
        - name: pageNum
          in: query
          description: Current page count
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableDataInfoPhonePageListResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    TableDataInfoPhonePageListResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Link ID
        total:
          type: integer
          description: Total number of records
          format: int64
        rows:
          type: array
          items:
            $ref: '#/components/schemas/PhonePageListResVO'
            description: PhoneListResVO
          description: list data
        code:
          type: integer
          description: Message status code
        msg:
          type: string
          description: message content
    PhonePageListResVO:
      type: object
      properties:
        id:
          type: integer
          description: Phone ID
          format: int64
        name:
          type: string
          description: Phone name
        groupId:
          type: integer
          description: Phone group ID
          format: int64
        groupName:
          type: string
          description: Phone group name
        code:
          type: string
          description: Phone code (custom defined by business)
        spuId:
          type: integer
          description: SPU ID
          format: int64
        spuName:
          type: string
          description: SPU name
        skuId:
          type: integer
          description: SKU ID
          format: int64
        phoneModel:
          type: string
          description: Phone model
        phoneBrand:
          type: string
          description: Phone brand
        adbIp:
          type: string
          description: ADB IP information
        adbPort:
          type: string
          description: ADB port
        adbPassword:
          type: string
          description: ADB password
        payType:
          type: integer
          description: 'Payment type: 1=Yearly/Monthly, 2=Per N minutes'
        skuName:
          type: string
          description: SKU name
        cycleName:
          type: string
          description: Billing cycle name
        cycleEnum:
          type: string
          description: Billing cycle enum value
        expireStatus:
          type: integer
          description: 'Billing (expiration) status: 0=Expired, 1=Normal'
        networkId:
          type: integer
          description: Bound network ID
          format: int64
        channel:
          type: string
          description: Channel
        powerOnTime:
          type: string
          description: Last power-on time
        powerOffTime:
          type: string
          description: Last power-off time
        expireTime:
          type: string
          description: Expiration time
        expireDuration:
          type: string
          description: Expiration duration
        nextPayTime:
          type: string
          description: Next payment time
        status:
          type: integer
          description: Status
          enum:
            - 1
            - 2
            - 4
            - 41
            - 6
            - 7
        remark:
          type: string
          description: Remarks
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagSimpleResVO'
            description: TagSimpleResVO
          description: 标签列表
        userId:
          type: integer
          description: Authorized user ID
          format: int64
        createUser:
          type: string
          description: Creator
        createTime:
          type: string
          description: Creation time
        updateTime:
          type: string
          description: Last update time
        networkResVO:
          $ref: '#/components/schemas/PhoneSimpleNetWorkResVO'
          description: Phone network information
        authorizeResVO:
          $ref: '#/components/schemas/PhoneAuthorizeResVO'
          description: Authorized user information
        authList:
          type: array
          items:
            $ref: '#/components/schemas/PhoneAuthorizeResVO'
            description: Authorized user information
          description: Authorized user information List
        cycle:
          type: integer
          description: Billing cycle
        screenWidth:
          type: string
          description: Phone Screen width resolution
        screenHeight:
          type: string
          description: Phone Screen height resolution
    TagSimpleResVO:
      type: object
      properties:
        id:
          type: integer
          description: 标签ID
          format: int64
        tagName:
          type: string
          description: 标签名称
        color:
          type: string
          description: 颜色
    PhoneSimpleNetWorkResVO:
      type: object
      properties:
        host:
          type: string
          description: Proxy host
        port:
          type: integer
          description: Proxy port
        account:
          type: string
          description: Account
        password:
          type: string
          description: Password
        region:
          type: string
          description: Region
        num:
          type: integer
          description: Sequence number
        countryCode:
          type: string
          description: Country code
        countryName:
          type: string
          description: Country name
        type:
          type: string
          description: 'Proxy type: 1.socks5 2.https 3.http'
        timezone:
          type: string
          description: Timezone
        language:
          type: string
          description: Language
        ip:
          type: string
          description: Actual IP address
        latitude:
          type: string
          description: Latitude
        longitude:
          type: string
          description: Longitude
        bindCount:
          type: integer
          description: Number of bound phones
          format: int64
        status:
          type: integer
          description: 'Status: 0=Not detected 1=Detection passed 2=Detection failed'
        detectDataType:
          type: integer
          description: 'Detection data type: 1-Follow IP 2-Custom'
        groupId:
          type: integer
          description: Network group ID
          format: int64
        remark:
          type: string
          description: Remarks
        expireTime:
          type: string
          description: 代理到期时间
    PhoneAuthorizeResVO:
      type: object
      properties:
        avatar:
          type: string
          description: Avatar URL
        name:
          type: string
          description: Name
        userId:
          type: integer
          description: User ID
          format: int64

````